import request from '@/utils/request'

// 查询地址簿管理列表
export function listBook(query) {
  return request({
    url: '/system/book/list',
    method: 'get',
    params: query
  })
}

// 查询地址簿管理详细
export function getBook(addressId) {
  return request({
    url: '/system/book/' + addressId,
    method: 'get'
  })
}

// 新增地址簿管理
export function addBook(data) {
  return request({
    url: '/system/book',
    method: 'post',
    data: data
  })
}

// 修改地址簿管理
export function updateBook(data) {
  return request({
    url: '/system/book',
    method: 'put',
    data: data
  })
}

// 删除地址簿管理
export function delBook(addressId) {
  return request({
    url: '/system/book/' + addressId,
    method: 'delete'
  })
}
export function getDefaultAddress() {
  return request({
    url: '/system/book/getDefaultAddress',
    method: 'get'
  })
}


/**
 * 获取地址信息你
 */
export function getAddressInfo(data) {
  return request.post('/system/kd100/wxmini/queryIcrExpres',data)
}


